Name:          gnubg
License:       GPLv3+
Group:         Games/Boards
Summary:       A backgammon game and analyser
Version:       1.05.000
Release:       %mkrel 3
Source0:       http://files.gnubg.org/media/sources/gnubg-release-%{version}-sources.tar.gz
Source1:       gnubg.desktop
URL:           http://www.gnubg.org
Requires:      fonts-ttf-dejavu
Requires:      python-mysql
Requires(post): info-install
Requires(preun): info-install
BuildRequires: desktop-file-utils
BuildRequires: freetype-devel
BuildRequires: libgmp-devel
BuildRequires: readline-devel
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(gdkglext-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(sqlite3)


%description
GNU Backgammon is software for playing and analysing backgammon
positions, games and matches. It's based on a neural network. Although it
already plays at a very high level, it's still work in progress. You may
play GNU Backgammon using the command line or a graphical interface.

%prep
%setup -q

%build
SIMD=no
%ifarch x86_64
  # SSE2 instructions should be safe to use on all x86_64 CPUs 
  SIMD=sse2
%endif
%configure2_5x --with-python --enable-simd=$SIMD
%make

%install
%makeinstall
install -Dpm 644 gnubg.weights %{buildroot}%{_datadir}/gnubg/gnubg.weights
cp -rp textures* %{buildroot}%{_datadir}/gnubg/
rm -f %{buildroot}%{_datadir}/gnubg/textures/Makefile{,.in,.am}
install -Dpm 644 doc/gnubg.info %{buildroot}%{_infodir}/gnubg.info
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
%find_lang %{name}

# don't use the bundled fonts
rm -f %{buildroot}%{_datadir}/gnubg/fonts/*.ttf
rm -f %{buildroot}%{_datadir}/gnubg/fonts/COPYRIGHT.TXT.gz
ln -s ../../fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/gnubg/fonts/Vera.ttf
ln -s ../../fonts/TTF/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraBd.ttf 
ln -s ../../fonts/TTF/dejavu/DejaVuSerif-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraSeBd.ttf 

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%doc doc/images doc/gnubg/*.html
%{_bindir}/bearoffdump
%{_bindir}/gnubg
%{_bindir}/makebearoff
%{_bindir}/makehyper
%{_bindir}/makeweights
%{_infodir}/gnubg.info*
%dir %{_datadir}/gnubg
%{_datadir}/gnubg/met
%{_datadir}/gnubg/boards.xml
%{_datadir}/gnubg/gnubg_os0.bd
%{_datadir}/gnubg/gnubg.weights
%{_datadir}/gnubg/pixmaps
%{_datadir}/gnubg/sounds
%{_datadir}/gnubg/textures.txt
%{_datadir}/gnubg/textures
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnubg/fonts/
%{_datadir}/gnubg/gnubg.gtkrc
%{_datadir}/gnubg/gnubg.wd
%{_datadir}/gnubg/scripts/
%{_datadir}/gnubg/flags/
%{_datadir}/gnubg/gnubg.sql
%{_datadir}/gnubg/gnubg_ts0.bd
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.05.000-3.mga6
+ Revision: 960481
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.05.000-2.mga6
+ Revision: 895167
- add more docs to fix build with latest rpm

* Sun Jun 21 2015 danf <danf> 1.05.000-1.mga6
+ Revision: 837757
- Upgraded to 1.05.000
- Removed upstreamed patch
- Added libcurl dependency to fix random.org support

* Wed Oct 15 2014 umeabot <umeabot> 1.03.001-4.mga5
+ Revision: 746867
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 danf <danf> 1.03.001-3.mga5
+ Revision: 737947
- Added mat-parse.patch to fix a problem interpreting MAT files

* Tue Sep 16 2014 umeabot <umeabot> 1.03.001-2.mga5
+ Revision: 679813
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 danf <danf> 1.03.001-1.mga5
+ Revision: 671203
- Upgraded to 1.03.001. Major changes include:
  - Remove support of Berliner's BKG format
  - Added man pages for utilities
  - Many bug fixes and improvements
- Added a dependency python-mysql to enable MySQL support
- Added a dependency on libgmp for long seed support

* Sat Oct 19 2013 umeabot <umeabot> 1.02.000-2.mga4
+ Revision: 531947
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 danf <danf> 1.02.000-1.mga4
+ Revision: 465913
- upgraded to version 1.02.000
- removed canberra-enable.patch (merged upstream)

* Thu Jul 18 2013 danf <danf> 1.01.002-2.mga4
+ Revision: 455421
- enabled support for SQLite

* Tue Jul 16 2013 danf <danf> 1.01.002-1.mga4
+ Revision: 455044
- imported package gnubg

